package org.omg.PortableInterceptor;

import org.omg.CORBA.TypeCode;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class ObjectReferenceFactoryHolder implements Streamable
{
    public ObjectReferenceFactory value;
    
    public ObjectReferenceFactoryHolder() {
        this.value = null;
    }
    
    public ObjectReferenceFactoryHolder(ObjectReferenceFactory value) {
        this.value = null;
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = ObjectReferenceFactoryHelper.read(inputStream);
    }
    
    public void _write(OutputStream outputStream) {
        ObjectReferenceFactoryHelper.write(outputStream, this.value);
    }
    
    public TypeCode _type() {
        return ObjectReferenceFactoryHelper.type();
    }
}
